aboutsummaryrefslogtreecommitdiff
path: root/nx-X11/extras/fontconfig/test/run-test.sh
diff options
context:
space:
mode:
authorReinhard Tartler <siretart@tauware.de>2011-10-10 17:43:39 +0200
committerReinhard Tartler <siretart@tauware.de>2011-10-10 17:43:39 +0200
commitf4092abdf94af6a99aff944d6264bc1284e8bdd4 (patch)
tree2ac1c9cc16ceb93edb2c4382c088dac5aeafdf0f /nx-X11/extras/fontconfig/test/run-test.sh
parenta840692edc9c6d19cd7c057f68e39c7d95eb767d (diff)
downloadnx-libs-f4092abdf94af6a99aff944d6264bc1284e8bdd4.tar.gz
nx-libs-f4092abdf94af6a99aff944d6264bc1284e8bdd4.tar.bz2
nx-libs-f4092abdf94af6a99aff944d6264bc1284e8bdd4.zip
Imported nx-X11-3.1.0-1.tar.gznx-X11/3.1.0-1
Summary: Imported nx-X11-3.1.0-1.tar.gz Keywords: Imported nx-X11-3.1.0-1.tar.gz into Git repository
Diffstat (limited to 'nx-X11/extras/fontconfig/test/run-test.sh')
-rw-r--r--nx-X11/extras/fontconfig/test/run-test.sh92
1 files changed, 92 insertions, 0 deletions
diff --git a/nx-X11/extras/fontconfig/test/run-test.sh b/nx-X11/extras/fontconfig/test/run-test.sh
new file mode 100644
index 000000000..428503b3f
--- /dev/null
+++ b/nx-X11/extras/fontconfig/test/run-test.sh
@@ -0,0 +1,92 @@
+#!/bin/sh
+TESTDIR=${srcdir-`pwd`}
+
+FONTDIR=`pwd`/fonts
+CACHEFILE=`pwd`/fonts.cache
+
+ECHO=true
+
+FCLIST=../fc-list/fc-list
+FCCACHE=../fc-cache/fc-cache
+
+FONT1=$TESTDIR/4x6.pcf
+FONT2=$TESTDIR/8x16.pcf
+
+check () {
+ $FCLIST - family pixelsize | sort > out
+ echo "=" >> out
+ $FCLIST - family pixelsize | sort >> out
+ echo "=" >> out
+ $FCLIST - family pixelsize | sort >> out
+ tr -d '\015' <out >out.tmp; mv out.tmp out
+ if cmp out $TESTDIR/out.expected > /dev/null ; then : ; else
+ echo "*** Test failed: $TEST"
+ echo "*** output is in 'out', expected output in 'out.expected'"
+ exit 1
+ fi
+ rm out
+}
+
+prep() {
+ rm -rf $CACHEFILE
+ rm -rf $FONTDIR
+ mkdir $FONTDIR
+}
+
+dotest () {
+ TEST=$1
+ test x$VERBOSE = x || echo Running: $TEST
+}
+
+sed "s!@FONTDIR@!$FONTDIR!
+s!@CACHEFILE@!$CACHEFILE!" < $TESTDIR/fonts.conf.in > fonts.conf
+
+FONTCONFIG_FILE=`pwd`/fonts.conf
+export FONTCONFIG_FILE
+
+dotest "Basic check"
+prep
+cp $FONT1 $FONT2 $FONTDIR
+check
+
+dotest "With a subdir"
+prep
+cp $FONT1 $FONT2 $FONTDIR
+$FCCACHE $FONTDIR
+check
+
+dotest "Subdir with a cache file"
+prep
+mkdir $FONTDIR/a
+cp $FONT1 $FONT2 $FONTDIR/a
+$FCCACHE $FONTDIR/a
+check
+
+dotest "Complicated directory structure"
+prep
+mkdir $FONTDIR/a
+mkdir $FONTDIR/a/a
+mkdir $FONTDIR/b
+mkdir $FONTDIR/b/a
+cp $FONT1 $FONTDIR/a
+cp $FONT2 $FONTDIR/b/a
+check
+
+dotest "Subdir with an out-of-date cache file"
+prep
+mkdir $FONTDIR/a
+$FCCACHE $FONTDIR/a
+sleep 1
+cp $FONT1 $FONT2 $FONTDIR/a
+check
+
+dotest "Dir with an out-of-date cache file"
+prep
+cp $FONT1 $FONTDIR
+$FCCACHE $FONTDIR
+sleep 1
+mkdir $FONTDIR/a
+cp $FONT2 $FONTDIR/a
+check
+
+rm -rf $FONTDIR $CACHEFILE $FONTCONFIG_FILE out